gnome-music (48.0-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: applied in new release
  * Replace Build-Depends: appstream-util with appstream

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 May 2025 16:36:43 -0400

gnome-music (48~beta-3) unstable; urgency=medium

  * Add proposed patch to allow gnome-music to work with pygobject 3.52

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 17:07:40 -0400

gnome-music (48~beta-2) unstable; urgency=medium

  * Depend on localsearch instead of tracker

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 15:15:24 -0400

gnome-music (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4, libadwaita, and pygobject

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:15:33 -0500

gnome-music (47.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 09:11:57 -0500

gnome-music (47.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 06:44:34 -0400

gnome-music (46.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Bump Standards Version to 4.7.0

  [ Amin Bandali ]
  * debian/control: Update Homepage to the new page on apps.gnome.org

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 13:44:17 -0400

gnome-music (46.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 18 Mar 2024 18:49:07 -0400

gnome-music (46~beta-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Ported to Adwaita 1.4 and 1.6 widgets
    - Songs view removed
    - Preferences dialog added
    - Dropped old-style selection mode
    - Bugs Fixed:
      + Port to new libadwaita widgets
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/579)
      + Remove GOA use and LastFM support
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/584)
      + Fix Tracker 3 queries
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/578)
      + Fix jumping scrolling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/580)
      + Replace StarImage with StarToggle
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/497)
      + Improve texture scaling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/513)
      + Add preferences dialog
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/471)
      + Improve player duration query handling
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/449)
      + Remove Songs view
        (https://gitlab.gnome.org/GNOME/gnome-music/-/issues/570)
      + Improve 'Recently Played' query
        (https://gitlab.gnome.org/GNOME/gnome-music/-/merge_requests/1047)
      + Improve appdata
        (https://gitlab.gnome.org/GNOME/gnome-music/-/merge_requests/1026)
  * debian/control: Bump minimum required versions of Build-Depends
    following upstream
  * debian/patches/Hide-Last.fm.patch: Drop no longer needed patch

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 29 Feb 2024 11:13:46 -0500

gnome-music (45.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Tracker queries improvements

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 22 Feb 2024 16:17:10 -0500

gnome-music (45.0-3) unstable; urgency=medium

  * Stop using dh-sequence-gnome
  * Update package description to stop mentioning features that don't exist
    (Closes: #1025468)
  * Add patch to hide Last.fm menu button since it no longer works

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jan 2024 12:18:33 -0500

gnome-music (45.0-2) unstable; urgency=medium

  * Team upload
  * d/control: Stop generating from d/control.in
  * d/control: Explicitly depend on gir1.2-girepository-2.0.
    GIRepository is imported by the main script. At the moment it's part
    of gir1.2-glib-2.0, but it will need to be split into a separate
    package during the GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository
    2.0 to GIRepository 3.0.
  * d/control: Explicitly depend on gir1.2-gdkpixbuf-2.0.
    This is imported explicitly. In practice it's pulled in by GTK,
    but it's more robust to list all of our direct dependencies, even
    if today they're also indirect dependencies.
  * d/control: Explicitly depend on gir1.2-gio-2.0, gir1.2-gobject-2.0.
    Just for completeness: these are likely to stay part of the same
    binary package as gir1.2-glib-2.0.

 -- Simon McVittie <smcv@debian.org>  Fri, 29 Dec 2023 16:49:00 +0000

gnome-music (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on appstream-util for build tests
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:58:28 -0400

gnome-music (44.0-2) unstable; urgency=medium

  * Drop all patches
  * Update dependencies to switch to libsoup3
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 May 2023 16:06:07 -0400

gnome-music (44.0-1) experimental; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * New upstream release

  [ Jeremy Bicha ]
  * Revert 2 commits that switch to libsoup3

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 23 Mar 2023 10:22:28 -0300

gnome-music (42.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 25 Apr 2022 09:12:24 -0400

gnome-music (42.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to gtk4 & libadwaita
  * debian/control.in: Build-Depend on desktop-file-utils
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:53:14 -0400

gnome-music (41.0-4) unstable; urgency=medium

  * Cherry-pick patch to drop obsolete GNOME MediaKeys support
  * Cherry-pick patches to support GNOME 42 dark theme preference
  * debian/control.in: Bump minimum libhandy to 1.5.90

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 17 Feb 2022 12:54:10 -0500

gnome-music (41.0-2) unstable; urgency=medium

  * Team upload
  * d/p/meson-Remove-incorrect-i18n.merge_file-argument.patch:
    Add patch from upstream to fix FTBFS with Meson 0.61 (Closes: #1005548)

 -- Simon McVittie <smcv@debian.org>  Sun, 13 Feb 2022 15:34:35 +0000

gnome-music (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum glib and gtk3
  * debian/control.in: Depend and Build-Depend on libhandy
  * debian/copyright: Update
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 08:14:10 -0400

gnome-music (40.1.1-4) unstable; urgency=medium

  * Team upload
  * Depend on a compatible version of grilo-plugins now that it's available.
    We need the grl-tracker3 plugin, which is only available on this side
    of the Tracker 3 transition. (Closes: #993820)

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Sep 2021 01:43:23 +0100

gnome-music (40.1.1-3) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 31 Aug 2021 07:40:42 -0400

gnome-music (40.1.1-2) experimental; urgency=medium

  * control: Fix typo in python3 versioned dep. Don't suppose will have python
    3.37 for a while ...

 -- Iain Lane <laney@debian.org>  Fri, 16 Jul 2021 16:04:08 +0100

gnome-music (40.1.1-1) experimental; urgency=medium

  * New upstream release
  * control: Bump Depends and Build-Depends for 40.
    - grilo → 0.3.13+ and plugins → 0.3.13-2~+
      + This is the Debian revision that started building with tracker 3
    - add pango (BD and gir)
    - tracker 2 → tracker 3
    - pygobject → 3.36.1+
    - python → 3.7+
    - meson → 0.49.0+
  * gbp.conf: Set upstream branch back to upstream/latest

 -- Iain Lane <iain.lane@canonical.com>  Thu, 24 Jun 2021 17:32:56 +0100

gnome-music (3.36.7-1) unstable; urgency=medium

  * Team upload
  * Use upstream/3.36.x branch
  * d/watch: Watch for 3.36.x versions.
    3.38.x is not suitable for Debian 11 because it requires Tracker 3.
  * New upstream release (Closes: #971622)
  * Drop patch that was applied (with adjustments) upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Feb 2021 09:46:54 +0000

gnome-music (3.36.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - pauseonsuspend: Fix logging issues when logind is unavailable
    - Fix duplication of menu bar
  * Build-Depend on libgdk-pixbuf2.0-bin and librsvg2-common:native.
    These are required to convert SVG icons to pixmap data. Previously,
    at least librsvg2-common was pulled in by adwaita-icon-theme.
  * Add patch to fix crash when gnome-online-accounts is not available
    (Closes: #969271)
  * Add Suggests on gnome-online-accounts.
    last.fm support won't work without it.

 -- Simon McVittie <smcv@debian.org>  Sun, 30 Aug 2020 15:26:47 +0100

gnome-music (3.36.3-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Fri, 26 Jun 2020 11:37:37 +0200

gnome-music (3.36.2-1) unstable; urgency=medium

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Sat, 02 May 2020 18:27:23 +0200

gnome-music (3.36.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Mar 2020 14:05:37 -0400

gnome-music (3.36.0-2) unstable; urgency=medium

  * d/p/gnome-music.in-Do-not-change-the-module-search-path-on-in.patch,
    d/p/gnome-music.in-Do-not-use-pyexecdir-variable.patch: Do not change the
    python search path, from upstream (Closes: #954195)
  * d/p/Revert-Use-tabular-numbers-for-song-duration.patch: Revert "Use
    tabular numbers for song duration", this lower the dependency on pango
    back to the version currently in unstable (Closes: #954334)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 23 Mar 2020 08:55:13 +0100

gnome-music (3.36.0-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Adjust the build-dependencies
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 11 Mar 2020 13:01:44 +0100

gnome-music (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - debian/control.in: Bump the (build) dependencies
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/rules: Exclude private libraries from dh_makeshlibs call

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Nov 2019 14:04:55 +0100

gnome-music (3.32.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome & dh-sequence-python3
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 30 Sep 2019 21:26:58 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-music`.
